import {defineConfig} from "vite";
import {resolve} from "path";

// https://vitejs.dev/config/
export default defineConfig(() => ({
	base: "/assets",
	build: {
		outDir: resolve(__dirname, "webroot", "assets"),
		assetsDir: "./",
		emptyOutDir: true,

		rollupOptions: {
			input: {
				"nuaj": resolve(__dirname, "style", "nuaj.less"),
			},
			output: {
				assetFileNames: "[name].[ext]",
			},
		},
	},
}));
